CVE-2020-25862

Published: 06 October 2020

In Wireshark 3.2.0 to 3.2.6, 3.0.0 to 3.0.13, and 2.6.0 to 2.6.20, the TCP dissector could crash. This was addressed in epan/dissectors/packet-tcp.c by changing the handling of the invalid 0xFFFF checksum.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
wireshark
Launchpad, Ubuntu, Debian
Upstream
Released (3.2.7-1)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(3.2.7-1)
Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 LTS (Xenial Xerus) Needs triage

Ubuntu 14.04 ESM (Trusty Tahr) Needs triage